
<div class="fields-wrap">
    <form (keydown.enter)="$event.preventDefault();" [formGroup]="financialFormGroup">
        <div class="page-wrap financial-wrap">
            <div class="link-wrapper clearfix" *ngIf="cache.user.profile == 'Agent' || cache.user.profile == 'DSA' || cache.user.profile == 'CRE' || cache.user.profile == 'SM'">
                <span class="link-label">Click on this button to send email for GST, Perfios and ITR</span>
                <span class="link-wrap" (click)="sendFinancialLink()">Link</span>
            </div>
            <div class="success-msg" *ngIf="isEmailSent">Email has been sent successfully..</div>
            <div class="financial-group" *ngIf="!(cache.user.profile == 'Agent')">
                <ul class="financial-item">
                    <li class="clearfix">
                        <div class="left-sec">Bank Statement</div>
                        <div class="right-sec">
                            <div *ngIf="userService.isCustomerJourney()">
                                <span class="success-txt" *ngIf="bankSuccess && !bankFailed"><i class="material-icons">check_circle</i>Successfully Submitted</span>
                                <span class="success-txt error-txt" *ngIf="!bankSuccess && bankFailed"><i class="material-icons bank-failed" (click)="cancelFailed()">cancel</i>Submission Failed</span>
                                <button class="blue-border-btn" (click)="goToPerfios()" *ngIf="!bankSuccess && !bankFailed">Perfios</button>
                            </div>
                            <div class="uplaod-icon-wrap" *ngIf="cache.user.profile == 'DSA' || cache.user.profile == 'CRE' || cache.user.profile == 'SM'">
                                <label for="bankStatementUpload" *ngIf="!(uploadSuccess['bankStatementUpload'] || bankSuccess)" class="upload-link"></label>
                                <input type="file"  id="bankStatementUpload" hidden (change)="uploadDocuments($event.target.files, 'bankStatementUpload', 'Bank Statement')"/>
                                <div class="success-txt-wrap green-bg" *ngIf="uploadSuccess['bankStatementUpload'] || bankSuccess">Form Uploaded</div>
                                <a href="javascript:void(0);" *ngIf="uploadSuccess['bankStatementUpload'] || bankSuccess" (click)="removeUploadedDocument('bankStatementUpload')" class="delet-file">&#x2715;</a>
                                <app-loader *ngIf="stateLoader['bankStatementUpload']" [type]="0"></app-loader> 
                            </div>
                        </div>
                    </li>
                   
                    <li class="clearfix">
                        <div class="left-sec">GST Report</div>
                        <div class="right-sec">
                            <div *ngIf="userService.isCustomerJourney()">
                                <span class="success-txt" *ngIf="gstSuccess"><i class="material-icons">check_circle</i>Successfully Submitted</span>
                                <button class="blue-border-btn" *ngIf="!gstSuccess" (click)="openDetailsDialog('gstForm')">Login</button>
                            </div>
                            <div class="uplaod-icon-wrap" *ngIf="cache.user.profile == 'DSA' || cache.user.profile == 'CRE' || cache.user.profile == 'SM'">
                                <label for="gstUpload" *ngIf="!(uploadSuccess['gstUpload'] || gstSuccess)" class="upload-link"></label>
                                <input type="file"  id="gstUpload" hidden (change)="uploadDocuments($event.target.files, 'gstUpload', 'GST')"/>
                                <div class="success-txt-wrap green-bg" *ngIf="uploadSuccess['gstUpload'] || gstSuccess">Form Uploaded</div>
                                <a href="javascript:void(0);" *ngIf="uploadSuccess['gstUpload'] || gstSuccess" (click)="removeUploadedDocument('gstUpload')" class="delet-file">&#x2715;</a>
                                <app-loader *ngIf="stateLoader['gstUpload']" [type]="0"></app-loader> 
                            </div>
                        </div>    
                    </li>
                    <li class="clearfix">
                        <div class="left-sec">ITR Statement</div>
                        <div class="right-sec">
                            <div *ngIf="userService.isCustomerJourney()">
                                <span class="success-txt" *ngIf="itrSuccess"><i class="material-icons">check_circle</i>Successfully Submitted</span>
                                <button class="blue-border-btn" *ngIf="!itrSuccess" (click)="openDetailsDialog('itrForm')">Login</button>
                            </div>
                            <div class="uplaod-icon-wrap" *ngIf="cache.user.profile == 'DSA' || cache.user.profile == 'CRE' || cache.user.profile == 'SM'">
                                <label for="itrUpload" *ngIf="!(uploadSuccess['itrUpload'] || itrSuccess)" class="upload-link"></label>
                                <input type="file"  id="itrUpload" hidden (change)="uploadDocuments($event.target.files, 'itrUpload', 'ITR' )"/>
                                <div class="success-txt-wrap green-bg" *ngIf="uploadSuccess['itrUpload'] || itrSuccess">Form Uploaded</div>
                                <a href="javascript:void(0);" *ngIf="uploadSuccess['itrUpload'] || itrSuccess" (click)="removeUploadedDocument('itrUpload')" class="delet-file">&#x2715;</a>
                                <app-loader *ngIf="stateLoader['itrUpload']" [type]="0"></app-loader> 
                            </div>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="btn-wrap clearfix">
            <button class="left-btn" mat-button *ngIf="cache.user.profile == 'DSA' || cache.user.profile == 'CRE' || cache.user.profile == 'SM'" type="button" (click)="exit()" [disableRipple]="true">Exit</button>
            <button class="left-btn" mat-button *ngIf="cache.user.profile == 'DSA' || cache.user.profile == 'CRE' || cache.user.profile == 'SM'" type="button" (click)="goBack()" [disableRipple]="true">Go Back</button>
            <button class="main-btn" mat-button type="submit" (click)= "submit()" [class.disabled]="!(enableContinue || bankSuccess || gstSuccess || itrSuccess || uploadSuccess['gstUpload'] || uploadSuccess['itrUpload'] || uploadSuccess['bankStatementUpload']) && !isEmailSent" [disableRipple]="true">CONTINUE</button>
            <p class="otp_verify_links blue-link"><a href="javascript:void(0);" class="links" (click)="skipThisStep()">Skip this step</a></p>
            <app-loader *ngIf="formSubmitted" type="3"></app-loader>
        </div>
    </form>
</div>


